Subject: Re: [PATCH] document string_list_clear

From: Jeff King <[email-masked]>
Date: Tue, 9 Dec 2014 15:46:44 -0500

On Tue, Dec 09, 2014 at 12:32:15PM -0800, Stefan Beller wrote:

> As said above the Documentation/technical would only serve a purpose to
> explain very high level concepts. So racy-git.txt or
> pack-heuristics.txt will fit
> in there very good.

Yeah, I think we would leave anything that isn't api-*, with the goal
that all of api-* would eventually migrate into headers (it does not all
have to happen on day one, of course). There are a few spots which do
refer to api-credential, which is where you can find information on the
credential protocol. But that could be split out into a separate
technical document (which is probably an improvement, anyway; people who
are writing a helper do not know or care about our internal C API; they
only care about the protocol).

-Peff